=== debian/changelog ===
hubzero-tigervnc (1.8.0.2-1+deb9) unstable; urgency=low

  * convert inline changes for tigervnc-1.8.0 to patch set

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 31 May 2018 15:26:21 -0400

hubzero-tigervnc (1.8.0.1-1) unstable; urgency=low

  * add debian 9 support

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 30 May 2018 15:49:07 -0400

hubzero-tigervnc (1.8.0-1) unstable; urgency=low

  * add debian 9 support

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 24 May 2018 15:49:07 -0400

hubzero-tigervnc (1.3.1.4-1) unstable; urgency=low

  * change HUBzero license to more appropriate GPL

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 30 Aug 2015 18:53:21 -0400

hubzero-tigervnc (1.3.1.3-1) unstable; urgency=low

  * add debian 8 support

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 15 May 2015 15:38:15 -0400

hubzero-tigervnc (1.3.1.2-2+deb8) unstable; urgency=low

  * add xkb-data to depends

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 23 Sep 2014 15:56:04 -0400

hubzero-tigervnc (1.3.1.2-1) unstable; urgency=low

  * normalizing packaging to template

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 22 Sep 2014 15:17:25 -0400

hubzero-tigervnc (1.3.1.1-1+deb6u1) unstable; urgency=low

  * New upstream tigervnc (1.3.1)

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 25 Jul 2014 16:11:16 -0400

hubzero-tigervnc (1.3.0-1+deb6u1) unstable; urgency=low

  * Packaging for Debian 6

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 30 May 2014 11:24:16 -0400

hubzero-tigervnc (1.3.0-1) unstable; urgency=low

  * First HUBzero TigerVNC release.

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 20 May 2014 18:53:28 -0400
