=== debian/rules ===
#!/usr/bin/make -f
#
# @package      hubzero-tigervnc
# @file         rules
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
# @license      http://www.gnu.org/licenses/gpl-2.0.html GPLv2+
#
# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
#
# This package is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This package is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

$(info ########## Goals: $(MAKECMDGOALS) ##########)

STAMP_DIR := stampdir
STAGE_DIR := $(CURDIR)/debian/stage
BUILD_DIR := $(CURDIR)/debian/build

ifneq (,$(wildcard /usr/share/dpkg/buildflags.mk))
vars := $(shell DEB_BUILD_MAINT_OPTIONS="hardening=+pie" DEB_LDFLAGS_MAINT_APPEND="-Wl,-Bsymbolic" DEB_CPPFLAGS_MAINT_APPEND="-DPRE_RELEASE=0" dpkg-buildflags --export=configure)

# Hardening flags.
export DEB_BUILD_MAINT_OPTIONS=hardening=+pie
export DEB_LDFLAGS_MAINT_APPEND="-Wl,-Bsymbolic"

CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

# Duplicate flags as CMake is ignoring CPPFLAGS.
CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)

export CFLAGS
export CPPFLAGS
export CXXFLAGS
export LDFLAGS

else

#CFLAGS = -Wall -g  -funsigned-char
CFLAGS = -Wall -g 
ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
CPPFLAGS = -DPRE_RELEASE=0
vars = CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)"

endif

#ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
#	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
#	MAKEFLAGS += -j$(NUMJOBS)
#endif

DEB_MAJOR:=$(shell lsb_release -r -s | cut -d . -f 1)

DEB_CODENAME       ?= $(shell lsb_release -c -s)
DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH_OS   ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	confflags += \
		--build=$(DEB_HOST_GNU_TYPE)
else
	confflags += \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--host=$(DEB_HOST_GNU_TYPE)
endif

ifeq ($(DEB_HOST_ARCH_OS), linux)
	confflags += --enable-xselinux 

	ifeq ($(DEB_CODENAME), squeeze)
		confflags += \
			--with-default-xkb-rules=evdev
	endif
else
	confflags += \
		--disable-xselinux
endif

ifeq ($(DEB_HOST_ARCH_OS), hurd)
	confflags += \
		--disable-dri \
		--disable-dri2
else
	confflags += \
		--disable-dri \
		--enable-dri2
endif

ifeq ($(DEB_HOST_ARCH_OS), linux)
else ifeq ($(DEB_HOST_ARCH_OS), kfreebsd)
	libs = LIBS=-lbsd
else # hurd
endif


ifeq ($(DEB_CODENAME), squeeze)

confflags += \
	--disable-builddocs \
	--disable-config-dbus \
	--enable-xcalibrate

xorg_version=1.7.7
tigervnc_patch=17
tigervnc_version=1.3.1

else ifeq ($(DEB_CODENAME), wheezy)

confflags += \
	--disable-silent-rules \
	--disable-docs \
  	--disable-selective-werror \
	--disable-config-dbus \
        --disable-devel-docs 

xorg_version=1.12.4
tigervnc_patch=112
tigervnc_version=1.3.1

else ifeq ($(DEB_CODENAME), jessie)

confflags += \
	--disable-silent-rules \
	--disable-docs \
  	--disable-selective-werror \
        --disable-devel-docs 

xorg_version=1.16.4
tigervnc_patch=116
tigervnc_version=1.3.1

else ifeq ($(DEB_CODENAME), stretch)

confflags += \
	--disable-silent-rules \
	--disable-docs \
  	--disable-selective-werror \
        --disable-devel-docs 

xorg_version=1.19.2
tigervnc_patch=119
tigervnc_version=1.8.0

else

echo "Unknown distribution"
exit 1

endif

VENDOR         := $(shell lsb_release -i -s)
SOURCE_NAME    := hubzero-tigervnc-server
SOURCE_VERSION := $(shell dpkg-parsechangelog | awk -F': ' '/^Version: / {print $$2}')
BUILDER        := $(shell dpkg-parsechangelog | awk -F': ' '/^Maintainer: / {print $$2}')

confflags += \
	--with-pic \
	--without-dtrace \
	--disable-static \
	--disable-debug \
	--disable-unit-tests \
	--with-int10=x86emu \
	--with-os-vendor="$(VENDOR)" \
	--with-builderstring="$(SOURCE_NAME) $(SOURCE_VERSION) ($(BUILDER))" \
	--with-xkb-path=/usr/share/X11/xkb \
	--with-xkb-output=/var/lib/xkb \
	--disable-install-libxf86config \
	--enable-mitshm \
	--enable-xres \
	--enable-xcsecurity \
	--disable-tslib \
	--enable-dbe \
	--disable-xf86bigfont \
	--enable-dpms \
	--disable-config-hal \
	--disable-config-udev \
	--disable-xorg \
	--disable-xquartz \
	--disable-xwin \
	--disable-xfake \
	--disable-install-setuid \
	--with-default-font-path="/usr/share/fonts/X11/misc,/usr/share/fonts/X11/cyrillic,/usr/share/fonts/X11/100dpi/:unscaled,/usr/share/fonts/X11/75dpi/:unscaled,/usr/share/fonts/X11/Type1,/usr/share/fonts/X11/100dpi,/usr/share/fonts/X11/75dpi,/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,built-ins" \
	--enable-aiglx \
	--enable-glx-tls \
	--enable-registry \
	--enable-composite \
	--enable-record \
	--enable-xv \
	--enable-xvmc \
	--enable-dga \
	--enable-screensaver \
	--enable-xdmcp \
	--enable-xdm-auth-1 \
	--enable-glx \
	--enable-xinerama \
	--enable-xf86vidmode \
	--enable-xace \
	--enable-xfree86-utils \
	--disable-dmx \
	--disable-xvfb  \
	--disable-xnest \
	--disable-kdrive \
	--disable-xephyr \
	--enable-xfbdev \
	--with-sha1=libgcrypt \
	$(libs) \
	$(void)

$(STAMP_DIR)/stampdir:
	@echo "########## $(STAMP_DIR)/stampdir ##########"
	mkdir -p $(STAMP_DIR)
	>$@

$(STAMP_DIR)/configure-indep: $(STAMP_DIR)/tigervnc-$(tigervnc_version)-common
	@echo "########## $(STAMP_DIR)/configure-indep ##########"
	(cd $(BUILD_DIR)/tigervnc-$(tigervnc_version)/java; cmake -DCMAKE_INSTALL_PREFIX=/usr -G"Unix Makefiles")
	>$@

build-indep: $(STAMP_DIR)/build-indep
	@echo "########## build-indep  ##########"

$(STAMP_DIR)/build-indep: $(STAMP_DIR)/configure-indep
	@echo "########## $(STAMP_DIR)/build-indep  ##########"
	(cd $(BUILD_DIR)/tigervnc-$(tigervnc_version)/java; $(MAKE))
	>$@

$(STAMP_DIR)/libjpeg-turbo-1.3.1: $(STAMP_DIR)/stampdir
	@echo "########## $(STAMP_DIR)/libjpeg-turbo-1.3.1 ##########"
	dh_testdir
	if [ -d $(BUILD_DIR)/libjpeg-turbo-1.3.1 ]; then rm -fr $(BUILD_DIR)/libjpeg-turbo-1.3.1; fi
	mkdir -p $(BUILD_DIR)/libjpeg-turbo-1.3.1
	cp -r $(CURDIR)/libjpeg-turbo-1.3.1/. $(BUILD_DIR)/libjpeg-turbo-1.3.1
	chmod -R u+w $(BUILD_DIR)/libjpeg-turbo-1.3.1
	for f in $(CURDIR)/patches/libjpeg-turbo-1.3.1/* ; do patch --no-backup-if-mismatch -N -d $(BUILD_DIR)/libjpeg-turbo-1.3.1 -p1 < $$f; done
	(cd $(BUILD_DIR)/libjpeg-turbo-1.3.1; ./configure --prefix=/usr --with-pic --enable-shared=no )
	$(MAKE) -C $(BUILD_DIR)/libjpeg-turbo-1.3.1
	$(MAKE) -C $(BUILD_DIR)/libjpeg-turbo-1.3.1 install DESTDIR=$(STAGE_DIR)
	>$@

$(STAMP_DIR)/libjpeg-turbo-1.5.3: $(STAMP_DIR)/stampdir
	@echo "########## $(STAMP_DIR)/libjpeg-turbo-1.5.3 ##########"
	dh_testdir
	if [ -d $(BUILD_DIR)/libjpeg-turbo-1.5.3 ]; then rm -fr $(BUILD_DIR)/libjpeg-turbo-1.5.3; fi
	mkdir -p $(BUILD_DIR)/libjpeg-turbo-1.5.3
	cp -r $(CURDIR)/libjpeg-turbo-1.5.3/. $(BUILD_DIR)/libjpeg-turbo-1.5.3
	chmod -R u+w $(BUILD_DIR)/libjpeg-turbo-1.5.3
	for f in $(CURDIR)/patches/libjpeg-turbo-1.5.3/* ; do patch --no-backup-if-mismatch -N -d $(BUILD_DIR)/libjpeg-turbo-1.5.3 -p1 < $$f; done
	(cd $(BUILD_DIR)/libjpeg-turbo-1.5.3; ./configure --prefix=/usr --with-pic --enable-shared=no )
