## hubzero-tigervnc 1.8.0.3-1+deb8

=== debian/changelog ===
hubzero-tigervnc (1.8.0.3-1+deb8) unstable; urgency=low

  * add debian 9 support
  * add tigervnc-1.8.0
  * add libjpeg-turbo-1.5.3
  * add fltk-1.3.4-2

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 31 May 2018 15:26:21 -0400
