=== debian/rules ===
--- 
+++ 
@@ -56,7 +56,6 @@
 
 else
 
-#CFLAGS = -Wall -g  -funsigned-char
 CFLAGS = -Wall -g 
 ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
@@ -153,7 +152,7 @@
 
 xorg_version=1.16.4
 tigervnc_patch=116
-tigervnc_version=1.3.1
+tigervnc_version=1.8.0
 
 else ifeq ($(DEB_CODENAME), stretch)
 
@@ -272,3 +271,4 @@
 	chmod -R u+w $(BUILD_DIR)/libjpeg-turbo-1.5.3
 	for f in $(CURDIR)/patches/libjpeg-turbo-1.5.3/* ; do patch --no-backup-if-mismatch -N -d $(BUILD_DIR)/libjpeg-turbo-1.5.3 -p1 < $$f; done
 	(cd $(BUILD_DIR)/libjpeg-turbo-1.5.3; ./configure --prefix=/usr --with-pic --enable-shared=no )
+	$(MAKE) -C $(BUILD_DIR)/libjpeg-turbo-1.5.3
