=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
 Standards-Version: 3.8.4
-Build-Depends: autoconf, automake, bison, bzip2, cmake (>> 2.8), curl, debhelper (>> 7.1), default-jdk, docbook-utils, dpkg-dev, flex, gettext, gnutls-dev, libaudit-dev [linux-any], libbsd-dev [kfreebsd-any], libdbus-1-dev [kfreebsd-amd64 kfreebsd-i386], libdrm-dev [!hurd-i386], libexpat1-dev, libfontconfig1-dev, libhal-dev [kfreebsd-amd64 kfreebsd-i386], libgcrypt-dev, libgl1-mesa-dev, libgl1-mesa-dri, libgl1-mesa-glx, libosmesa6-dev, libpam0g-dev, libpciaccess-dev, libpixman-1-dev, libpng-dev, libselinux1-dev [linux-any], libssl-dev, libtool, libudev-dev [linux-any], libx11-dev, libxau-dev, libxaw7-dev (>> 4.1.0), libxdmcp-dev, libxext-dev, libxfixes-dev, libxfont-dev, libxinerama-dev, libxkbfile-dev, libxft-dev, libxi-dev, libxmu-dev, libxmuu-dev, libxpm-dev, libxrender-dev, libxres-dev, libxt-dev, libxtst-dev, libxv-dev, lsb-release, mesa-common-dev (>= 7.5), nasm, nettle-dev, perl-modules, pkg-config, pristine-tar, quilt, x11proto-bigreqs-dev, x11proto-composite-dev, x11proto-core-dev, x11proto-damage-dev, x11proto-dri2-dev, x11proto-fixes-dev, x11proto-fonts-dev, x11proto-gl-dev, x11proto-input-dev, x11proto-kb-dev, x11proto-randr-dev, x11proto-record-dev, x11proto-render-dev, x11proto-resource-dev, x11proto-scrnsaver-dev, x11proto-video-dev, x11proto-xcmisc-dev, x11proto-xext-dev, x11proto-xf86bigfont-dev, x11proto-xf86dga-dev, x11proto-xf86dri-dev, x11proto-xf86vidmode-dev, x11proto-xinerama-dev, xfonts-base, xfonts-utils, xtrans-dev, xutils-dev, zlib1g-dev, imagemagick   ,doxygen,fop,xmlto,xsltproc,x11proto-dri3-dev,x11proto-present-dev 
+Build-Depends: autoconf, automake, bison, bzip2, cmake (>> 2.8), curl, debhelper (>> 7.1), default-jdk, docbook-utils, dpkg-dev, flex, gettext, gnutls-dev, libaudit-dev [linux-any], libbsd-dev [kfreebsd-any], libdbus-1-dev [kfreebsd-amd64 kfreebsd-i386], libdrm-dev [!hurd-i386], libexpat1-dev, libfontconfig1-dev, libhal-dev [kfreebsd-amd64 kfreebsd-i386], libgcrypt-dev, libgl1-mesa-dev, libgl1-mesa-dri, libgl1-mesa-glx, libosmesa6-dev, libpam0g-dev, libpciaccess-dev, libpixman-1-dev, libpng-dev, libselinux1-dev [linux-any], libssl-dev, libtool, libudev-dev [linux-any], libx11-dev, libxau-dev, libxaw7-dev (>> 4.1.0), libxdmcp-dev, libxext-dev, libxfixes-dev, libxfont-dev, libxinerama-dev, libxkbfile-dev, libxft-dev, libxi-dev, libxmu-dev, libxmuu-dev, libxpm-dev, libxrender-dev, libxres-dev, libxt-dev, libxtst-dev, libxv-dev, lsb-release, mesa-common-dev (>= 7.5), nasm, nettle-dev, perl-modules, pkg-config, pristine-tar, quilt, x11proto-bigreqs-dev, x11proto-composite-dev, x11proto-core-dev, x11proto-damage-dev, x11proto-dri2-dev, x11proto-fixes-dev, x11proto-fonts-dev, x11proto-gl-dev, x11proto-input-dev, x11proto-kb-dev, x11proto-randr-dev, x11proto-record-dev, x11proto-render-dev, x11proto-resource-dev, x11proto-scrnsaver-dev, x11proto-video-dev, x11proto-xcmisc-dev, x11proto-xext-dev, x11proto-xf86bigfont-dev, x11proto-xf86dga-dev, x11proto-xf86dri-dev, x11proto-xf86vidmode-dev, x11proto-xinerama-dev, xfonts-base, xfonts-utils, xtrans-dev, xutils-dev, zlib1g-dev, imagemagick    ,doxygen,fop,xmlto,xsltproc,x11proto-dri3-dev,x11proto-present-dev
 Homepage: http://hubzero.org
 
 Package: hubzero-tigervnc-server
