=== debian/rules ===
--- 
+++ 
@@ -152,7 +152,7 @@
 
 xorg_version=1.16.4
 tigervnc_patch=116
-tigervnc_version=1.8.0
+tigervnc_version=1.3.1
 
 else ifeq ($(DEB_CODENAME), stretch)
