=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Package: hubzero-tigervnc-server
 Architecture: amd64 i386
 Provides: xserver, vnc-server
-Depends: ${shlibs:Depends}, ${misc:Depends}, xauth, x11-common (>= 1:7.5) | xserver-common (>= 2:1.7.7), x11-utils, xkb-data, x11-xkb-utils
+Depends: ${shlibs:Depends}, ${misc:Depends}, xauth, x11-common (>= 1:7.5) | xserver-common (>= 2:1.7.7), x11-utils, xkb-data, x11-xkb-utils, lsb-base
 Recommends: xfonts-base, x11-xserver-utils, libgl1-mesa-dri
 Conflicts: tigervncserver
 Suggests: hubzero-tigervnc-viewer, hubzero-tigervnc-java, hubzero-tigervnc-server-module, xfonts-100dpi, xfonts-75dpi, xfonts-scalable
