=== debian/changelog ===
hubzero-tigervnc (1.8.0.6-1+deb9) unstable; urgency=low

  * update copyright/trademark ownership
  * update email address references
  * remove per file @author references
  * update copyright years

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 19 Aug 2020 21:46:15 -0700

hubzero-tigervnc (1.8.0.5-1) unstable; urgency=low

  * add lsb-base dependency

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 12 May 2020 14:27:12 -0700

hubzero-tigervnc (1.8.0.4-1) unstable; urgency=low

  * fix name of defaults file

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 12 May 2020 09:48:33 -0700
